Skip to content

Get callback configuration

Request

The endpoint receives as path param project id. If the project exists, the details of the callback configuration are returned.

Security
OAuth2(Required scopes: read)
Path
projectIdstringrequired

Customer's project id

curl -i -X GET \
  'https://senderid.registrations.api.sinch.com/v1/projects/{projectId}/callback-configuration' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
hmacSecretstring

The HMAC secret used for hashing the callback body using the HMAC-SHA1 algorithm - and for creating the X-Sinch-Signature header.

Example:"d1c7ccbf-919d-462f-8587-dec95a1b11ee"
projectIdstring
Response
{ "hmacSecret": "d1c7ccbf-919d-462f-8587-dec95a1b11ee", "projectId": "string" }
We'd love to hear from you!
Rate this content: